Next: PRECISION, Previous: POPCNT, Up: Intrinsic Procedures

### 8.193 `POPPAR` — Parity of the number of bits set

Description:
  `POPPAR(I)` returns parity of the integer `I`, i.e. the parity of the number of bits set ('1' bits) in the binary representation of `I`. It is equal to 0 if `I` has an even number of bits set, and 1 for an odd number of '1' bits.
Standard:
  Fortran 2008 and later
Class:
  Elemental function
Syntax:
  `RESULT = POPPAR(I)`
Arguments:

  I | Shall be of type `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the default integer kind.
See also:
  POPCNT, LEADZ, TRAILZ
Example:

                program test_population
                  print *, popcnt(127),       poppar(127)
                  print *, popcnt(huge(0_4)), poppar(huge(0_4))
                  print *, popcnt(huge(0_8)), poppar(huge(0_8))
                end program test_population